Subject: LRO: Re: Smiths temp sender

From: [email-masked]
Date: Thu, 31 May 2001 02:46:19 EDT

Mike writes:

> To me it looks like the
> sender is filled with liquid and a tube connects it to the gauge.  The
> liquid must expand during heating creating pressure which moves the needle.
> 

The "liquid" is actually ether vapor, which would be hard to refill yourself. 
If you are in the US, Nissonger in the Northeast US (NY or NJ area?) rebuilds 
these and a company called Momar in the Western US (Nevada, Colorado?) does 
also. British Pacific has used the latter company for a while and could 
probably get you in touch with them (they rebuilt one for me that sprang a 
leak during installation).

Hope that helps,

Karen Sindir
'74 SIII 88 Red Rufy 
'66 SIIa 88 Barbaros
'95 Disco EFE